Feedback on the Lenovo ThinkPad E570 - SkywalkerIntel

Asked by ZK on 2018-02-26

wifi isn't compatible with predefined standard

00:00.0 Host bridge: Intel Corporation Device 5904 (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Device 5916 (rev 02)
00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller (rev 21)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP Thermal subsystem (rev 21)
00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME HECI (rev 21)
00:17.0 SATA controller: Intel Corporation Sunrise Point-LP SATA Controller [AHCI mode] (rev 21)
00:1c.0 PCI bridge: Intel Corporation Device 9d10 (rev f1)
00:1c.4 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port (rev f1)
00:1d.0 PCI bridge: Intel Corporation Device 9d18 (rev f1)
00:1d.2 PCI bridge: Intel Corporation Device 9d1a (rev f1)
00:1d.3 PCI bridge: Intel Corporation Device 9d1b (rev f1)
00:1f.0 ISA bridge: Intel Corporation Device 9d58 (rev 21)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
00:1f.3 Audio device: Intel Corporation Device 9d71 (rev 21)
00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
01:00.0 3D controller: NVIDIA Corporation GM108M [GeForce 940MX] (rev a2)
02:00.0 SD Host controller: O2 Micro, Inc. Device 8621 (rev 01)
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 10)
05:00.0 Network controller: Realtek Semiconductor Co., Ltd. Device c821

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu-Certification Edit question
Assignee:
No assignee Edit question
Solved by:
ZK
Solved:
2018-03-13
Last query:
2018-03-13
Last reply:
2018-03-05
Po-Hsu Lin (cypressyew) said : #1

Hi,
for your Wifi card here, "05:00.0 Network controller: Realtek Semiconductor Co., Ltd. Device c821", it should be working with the 4.13 kernel, please give Ubuntu 16.04.4 / 17.10 a try.
(Let us know if you're using the pre-installed Ubuntu)
Thanks

ZK (joshuazhang) said : #2

thanks for your suggestion.

yes, it does works on 4.13 kernel, but bluetooth doesn't work.

now I have upgrade kernel to 4.15.4-041504-generic according to the guide link https://github.com/endlessm/linux/commit/6978e0d629bdaf67729879bac4d3a853ea107f08, it works as well, but bluetooth still doesn't work.